hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | None
Language | Haskell2010

HaskellWorks.Data.Vector.AsVector8

# Documentation

class AsVector8 a where #

Methods

asVector8 :: a -> Vector Word8 #

#### Instances

Instances details

AsVector8 ByteString # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector8 Methods asVector8 :: ByteString -> Vector Word8 #
AsVector8 (Vector Word16) # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector8 Methods asVector8 :: Vector Word16 -> Vector Word8 #
AsVector8 (Vector Word32) # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector8 Methods asVector8 :: Vector Word32 -> Vector Word8 #
AsVector8 (Vector Word64) # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector8 Methods asVector8 :: Vector Word64 -> Vector Word8 #
AsVector8 (Vector Word8) # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector8 Methods asVector8 :: Vector Word8 -> Vector Word8 #